Find or create a meeting
curl --request POST \
--url https://api.attio.com/v2/meetings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"title": "Onboarding Session",
"description": "Getting you up to speed with the platform and answering any questions you have.",
"start": {
"datetime": "2027-11-27T14:00:00Z",
"timezone": "America/New_York"
},
"end": {
"datetime": "2027-11-27T15:00:00Z",
"timezone": "America/New_York"
},
"is_all_day": false,
"participants": [
{
"email_address": "person@company.com",
"is_organizer": true,
"status": "accepted"
}
],
"external_ref": "external_meeting_12345",
"linked_records": [
{
"object": "people",
"record_id": "891dcbfc-9141-415d-9b2a-2238a6cc012d"
}
]
}
}
'import requests
url = "https://api.attio.com/v2/meetings"
payload = { "data": {
"title": "Onboarding Session",
"description": "Getting you up to speed with the platform and answering any questions you have.",
"start": {
"datetime": "2027-11-27T14:00:00Z",
"timezone": "America/New_York"
},
"end": {
"datetime": "2027-11-27T15:00:00Z",
"timezone": "America/New_York"
},
"is_all_day": False,
"participants": [
{
"email_address": "person@company.com",
"is_organizer": True,
"status": "accepted"
}
],
"external_ref": "external_meeting_12345",
"linked_records": [
{
"object": "people",
"record_id": "891dcbfc-9141-415d-9b2a-2238a6cc012d"
}
]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
title: 'Onboarding Session',
description: 'Getting you up to speed with the platform and answering any questions you have.',
start: {datetime: '2027-11-27T14:00:00Z', timezone: 'America/New_York'},
end: {datetime: '2027-11-27T15:00:00Z', timezone: 'America/New_York'},
is_all_day: false,
participants: [{email_address: 'person@company.com', is_organizer: true, status: 'accepted'}],
external_ref: 'external_meeting_12345',
linked_records: [{object: 'people', record_id: '891dcbfc-9141-415d-9b2a-2238a6cc012d'}]
}
})
};
fetch('https://api.attio.com/v2/meetings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": {
"workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
"meeting_id": "cb59ab17-ad15-460c-a126-0715617c0853"
},
"title": "Onboarding Session",
"description": "Getting you up to speed with the platform and answering any questions you have.",
"is_all_day": false,
"start": {
"datetime": "2027-11-27T14:00:00.000-04:00",
"timezone": "America/New_York"
},
"end": {
"datetime": "2027-11-27T15:00:00.000-04:00",
"timezone": "America/New_York"
},
"participants": [
{
"status": "accepted",
"is_organizer": false,
"email_address": "person@company.com"
}
],
"linked_records": [
{
"object_slug": "people",
"object_id": "891dcbfc-9141-415d-9b2a-2238a6cc012d",
"record_id": "891dcbfc-9141-415d-9b2a-2238a6cc012d"
}
],
"created_at": "2023-01-01T15:00:00.000000000Z",
"created_by_actor": {
"type": "workspace-member",
"id": "50cf242c-7fa3-4cad-87d0-75b1af71c57b"
}
}
}{
"statusCode": 400,
"type": "invalid_request_error",
"code": "validation_type",
"message": "No participants were provided."
}Find or create a meeting
Finds an existing meeting or creates a new one if it doesn’t yet exist. Please see here for a full guide on syncing meetings to Attio.
This endpoint is in alpha and may be subject to breaking changes as we gather feedback.
Required scopes: meeting:read-write, record_permission:read.
POST
/
v2
/
meetings
Find or create a meeting
Was this page helpful?
⌘I